
#ifndef QMYBT_H
#define QMYBT_H

#include <qbutton.h>
#include <qstring.h>
#include <qpixmap.h>
#include <X11/Xlib.h>

class QMyButton : public QButton
{
friend class QDialog;
    Q_OBJECT
public:
    QMyButton( QWidget *parent=0, const char *name=0 );
//    QMyButton( const char *text, QWidget *parent=0, const char *name=0 );
    ~QMyButton();
    void setText(const char *text);
    void setPixmap( const QPixmap &pixmap );
    int last_button;
    void setButtonOn(bool);
    void setToggle(bool);
    void setMouseIsOn(bool);
    
    static QMyButton *most_recent_pressed;
    Window swallowed_window;
    
protected:
    bool mouseIsOn;
    void drawButton(QPainter *);
    void drawButtonLabel(QPainter *);
    void mousePressEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);
    void enterEvent( QEvent *e );
    void leaveEvent( QEvent *e );
};


#endif // QMYBT_H
